Subject: bug#21634: text-scale-adjust suggestion

From: Juri Linkov <[email-masked]>
Date: Fri, 03 Sep 2021 19:13:45 +0300

>> Well, I suspect that I'm annoyed at the other direction: whenever I go
>> into the text-scaling mode, I try to remember to explicitly break it at
>> the end, so that I won't leave emacs in that state by mistake and be
>> surpries when I come back to it hours later (which actually happened to
>> me once, possibly putting me on this side of that fence).  OTOH, if the
>> delay is long enough, there is never any time pressure that I run into,
>> and it's easy to see when the timer kicked in by the echo area message
>> disappearing.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> We now have something similar in the form of `repeat-exit-timeout'
> (which defaults to "no timeout").  Perhaps it would make sense to use
> this in `text-scale-adjust'?  Any opinions?

Indeed, text-scale-adjust could be trivially modified to use
repeat-map that supports repeat-exit-timeout.  But the problem is
that this feature is available only when repeat-mode is enabled.
Maybe not a problem to enable it when the user wants repeatable keys.